Manage orders - Get transition eligibilities for a subscription

Gets immediate or scheduled transition eligibilities for a traditional or new commerce subscription.

GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/subscriptions/{subscription_id}/transitioneligibilities
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/subscriptions/{subscription_id}/transitioneligibilities?eligibilityType={eligibilityType}

URI Parameters

Name In Required Type Description
customer_id
path True

string

The customer's Microsoft Entra tenant identifier.

subscription_id
path True

string

The identifier of the source subscription.

version
path True

string

The Partner Center API version. Use v1.

eligibilityType
query

string

When the transition is to be executed. Defaults to immediate.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

ms-cv

string

Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

The accepted response media type. Use application/json.

Responses

Name Type Description
200 OK

TransitionEligibilityCollection

The request was successful. The response body contains the transition eligibilities.

Media Types: "application/json", "text/json"

400 Bad Request

There was a missing or an invalid input. The response body will provide the error details.

Media Types: "application/json", "text/json"

401 Unauthorized

The request was not authenticated. The client needs to authenticate with the partner API service first.

Media Types: "application/json", "text/json"

403 Forbidden

The request was authenticated but was refused since the caller does not have the rights to invoke it.

Media Types: "application/json", "text/json"

404 Not Found

The resource is not found or not available with the given input parameters.

Media Types: "application/json", "text/json"

500 Internal Server Error

The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this.

Media Types: "application/json", "text/json"

Definitions

Name Description
Link

Represents a link resource.

ResourceAttributes

Represents a resource attributes resource.

ResourceLinks

Represents a resource links resource.

StringStringKeyValuePair

Represents a key value pair resource.

TargetSubscriptionEligibilityDetail

Describes whether an existing subscription is eligible to receive a transition into a target catalog item.

TargetSubscriptionError

Represents a reason an existing target subscription is not eligible to receive a transition.

TransitionEligibility

Represents a transition eligibility resource.

TransitionEligibilityCollection

Represents the eligible target catalog items for a subscription transition.

TransitionEligibilityDetail

Represents a transition eligibility detail resource.

TransitionError

Represents a transition error resource.

Represents a link resource.

Name Type Description
body

string

The body for the link.

headers

StringStringKeyValuePair[]

The collection of headers associated with this link.

method

string

The method for the link.

uri

string

The URI for the related resource.

ResourceAttributes

Represents a resource attributes resource.

Name Type Description
etag

string

The entity tag used for concurrency control.

objectType

string

The object type for the resource attributes.

Represents a resource links resource.

Name Type Description
next

Link

Additional next associated with the resource links.

previous

Link

Additional previous associated with the resource links.

self

Link

Additional self associated with the resource links.

StringStringKeyValuePair

Represents a key value pair resource.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.

TargetSubscriptionEligibilityDetail

Describes whether an existing subscription is eligible to receive a transition into a target catalog item.

Name Type Description
errors

TargetSubscriptionError[]

The reasons the target subscription is not eligible.

isEligible

boolean

Whether the target subscription is eligible to receive the transition.

subscriptionBillingCycle enum:
  • annual
  • biennial
  • monthly
  • none
  • one_time
  • quadrennial
  • quinquennial
  • triennial
  • unknown

The billing cycle of the target subscription. Possible values include: 'unknown', 'monthly', 'annual', 'none', 'one_time', 'triennial', 'biennial', 'quadrennial', 'quinquennial'.

subscriptionFriendlyName

string

The friendly name of the target subscription.

subscriptionId

string

The identifier of the target subscription.

subscriptionTermDuration

string

The ISO 8601 term duration of the target subscription.

TargetSubscriptionError

Represents a reason an existing target subscription is not eligible to receive a transition.

Name Type Description
code enum:
  • 0 (int32)
  • 1 (int32)
  • 2 (int32)
  • 3 (int32)
  • 4 (int32)

The target subscription eligibility error code.Possible values include: 0 (other), 1 (subscription_not_found), 2 (subscription_not_active), 3 (subscription_not_eligible), 4 (subscription_has_pending_operations).

description

string

A readable explanation of the eligibility error.

TransitionEligibility

Represents a transition eligibility resource.

Name Type Description
attributes

ResourceAttributes

Additional attributes associated with the transition eligibility.

catalogItemId

string

The target product:SKU:availability composite catalog item identifier.

description

string

The description of the target SKU.

eligibilities

TransitionEligibilityDetail[]

The collection of eligibilities associated with this transition eligibility.

quantity

integer (int32)

The quantity available for the target offer.

subscriptionEligibilities

TargetSubscriptionEligibilityDetail[]

Existing subscriptions that are eligible or ineligible to receive an immediate transition into the target catalog item.

title

string

The title of the target SKU.

transitionAllowedDates

string[] (date-time)

The dates on which the transition is allowed when the target is restricted to specific anniversary dates. This property is omitted when not applicable.

TransitionEligibilityCollection

Represents the eligible target catalog items for a subscription transition.

Name Type Description
attributes

ResourceAttributes

Additional attributes associated with the resource collection.

items

TransitionEligibility[]

The collection of items associated with this resource collection.

links

ResourceLinks

Links to related resources.

totalCount

integer (int32)

The total number of items available in the result set.

TransitionEligibilityDetail

Represents a transition eligibility detail resource.

Name Type Description
errors

TransitionError[]

The collection of errors associated with this transition eligibility detail.

isEligible

boolean

Whether this transition type is eligible.

transitionType enum:
  • none
  • transition_only
  • transition_with_license_transfer

The transition type for the transition eligibility detail. Possible values include: 'none', 'transition_only', 'transition_with_license_transfer'.

TransitionError

Represents a transition error resource.

Name Type Description
code enum:
  • 0 (int32)
  • 1 (int32)
  • 10 (int32)
  • 11 (int32)
  • 12 (int32)
  • 13 (int32)
  • 2 (int32)
  • 3 (int32)
  • 4 (int32)
  • 5 (int32)
  • 6 (int32)
  • 7 (int32)
  • 8 (int32)
  • 9 (int32)

The code for the transition error, sent as an integer. Possible values include: 0 (Other), 1 (DelegatedAdminPermissionsDisabled), 2 (SubscriptionStatusNotActive), 3 (ConflictingServiceTypes), 4 (ConcurrencyConflicts), 5 (UserContextRequired), 6 (SubscriptionAddOnsPresent), 7 (SubscriptionDoesNotHaveAnyTransitionedPaths), 8 (SubscriptionTargetOfferNotFound), 9 (SubscriptionNotProvisioned), 10 (OfferDoesNotSupportBillingCycle), 11 (ConversionsNotFound), 12 (UserLicenseError), 13 (InsufficientGranularAdminPermissions).

description

string

The description of this item.